%define upstream_name    Date-Pcalc
%define upstream_version 6.1

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 10

Summary:	Pure-Perl drop-in replacement for Date::Calc
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Date/%{upstream_name}-%{upstream_version}.tar.gz
patch0:     Date-Pcalc-6.1-fix_perl_516_boolean.patch

BuildRequires:	perl(Bit::Vector)
BuildRequires:	perl(Carp::Clan)
BuildRequires:	perl-devel


%description
  'use Date::Pcalc qw( Days_in_Year Days_in_Month ... );'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -b .boolean

%build
echo c | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 6.100.0-10.mga4
+ Revision: 525105
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 6.100.0-9.mga4
+ Revision: 432271
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 6.100.0-8.mga4
+ Revision: 432106
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 6.100.0-7.mga3
+ Revision: 365544
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 6.100.0-6.mga3
+ Revision: 335981
- Automatically answer to the Makefile.PL question (C or pure perl)

* Thu May 31 2012 jquelin <jquelin> 6.100.0-5.mga3
+ Revision: 252146
- fix perl 5.16 build
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 6.100.0-4.mga2
+ Revision: 104117
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 6.100.0-3.mga1
+ Revision: 31892
- mageia rebuild
- imported package perl-Date-Pcalc


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 6.100.0-3mdv2011.0
+ Revision: 555785
- rebuild for perl 5.12

* Fri Mar 12 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 6.100.0-2mdv2010.1
+ Revision: 518566
- Bump release

* Sun Feb 28 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 6.100.0-1mdv2010.1
+ Revision: 512531
- import perl-Date-Pcalc


* Sat Feb 27 2010 cpan2dist 6.1-1mdv
- initial mdv release, generated with cpan2dist
